complexType "ImpliedTrade"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 3 elements
Defined: | globally in fpml-business-events-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 3 elements
Used: | never

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | originatingEvent, trade, payment?
</...>

Content Model Elements (3):

  originatingEvent (defined in ImpliedTrade complexType), payment (defined in ImpliedTrade complexType), | trade (defined in ImpliedTrade complexType)

Annotation
A type defining a type of trade that is implied by a post-trade event such as a novation. For example, if a novation moves $5mm in notional of an existing trade to a new party, there is an implied trade of $5mm at off-market terms. The fee represents the amoun by which the trade is off market. This even is used, for example in novations, where the implied trade and the corresponding fee must be segregated from the original or new trades for data access reasons (e.g. where the remaining party is not permitted to know the amount of a novation fee).
XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="ImpliedTrade"> <xsd:sequence> <xsd:element name="originatingEvent" type="OriginatingEvent"/> <xsd:element name="trade" type="Trade"/> <xsd:element minOccurs="0" name="payment" type="NonNegativePayment"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 3/3)
originatingEvent

  Type: | OriginatingEvent, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element name="originatingEvent" type="OriginatingEvent"/>

payment

  Type: | NonNegativePayment, complex content

  A fee which compensates one of the parties for taking on a position that is off market.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="payment" type="NonNegativePayment"/>

trade

  Type: | Trade, complex content

  XML Source (see within schema source)

  <xsd:element name="trade" type="Trade"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.